> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PUT Update Contact

> Update an existing contact's details.

## Update Contact

`PUT /api/contacts/:id`

Update a contact's name, email, tags, or metadata.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl -X PUT https://zeplo.ai/api/contacts/5 \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
  -H "Content-Type: application/json" \
  -d '{ "name": "John Doe Jr.", "tags": ["customer", "premium"] }'
```

### Path parameters

**id** `integer` *required*

Contact ID.

### Request body

**name** `string`

Updated name.

**email** `string`

Updated email.

**tags** `string[]`

Updated tags.

**metadata** `object`

Updated metadata.

```json Response theme={null}
{
  "success": true,
  "data": {
    "id": 5,
    "name": "John Doe Jr.",
    "phone": "919876543210",
    "email": "john@example.com",
    "tags": ["customer", "premium"],
    "updatedAt": "2026-01-15T14:00:00Z"
  }
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.